<template>
    <header class="bg-[#F5E7D3] pt-6 pb-3">
        <div class="w-[1390px] m-0 m-auto mb-9">
            <div class="flex justify-between">
                <RouterLink to="/">
                    <img src="../assets/logo.svg" alt="Logo Home Decor">
                </RouterLink>

                <div class="flex gap-9">
                    <img src="../../assets/icon/menu.svg" class="w-8 cursor-pointer" alt="">

                    <div class="flex items-center gap-1 cursor-pointer">
                        <img src="../assets/icon/instagram.svg" alt="Instagram icon">
                        <p>Новинки каждый день</p>
                    </div>

                    <RouterLink :to="{name: 'basket'}" class="flex items-center gap-1 cursor-pointer">
                        <img src="../assets/icon/basket.svg" alt="Basket icon">
                        <p>Корзина</p>
                    </RouterLink>
                </div>
            </div>
        </div>
        <div v-if="catalogs.length">
            <div class="flex gap-12 w-[1390px] m-0 m-auto">
                <RouterLink :to="{ name: catalog.catalogURL }" v-for="(catalog, index) in catalogs" :key="index"
                    class="font-light text-[#28303f] text-base">{{
                        catalog.catalogTitle }}</RouterLink>
            </div>
        </div>

    </header>
</template>

<script>
import axios from "axios";
import { RouterLink } from 'vue-router';

export default {
    data() {
        return {
            catalogs: []
        }
    },
    mounted() {
        this.fetchData()
    },
    methods: {
        async fetchData() {
            try {
                const response = await axios.get("https://client.st.com.tm/api/catalogs")
                this.catalogs = response.data

            } catch (error) {
                console.error('Error fetching data:', error);
            }
        }
    }
}

</script>

<style scoped></style>